Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1346138 - [RFE] Non root Geo-replication Error logs improvements
Summary: [RFE] Non root Geo-replication Error logs improvements
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kotresh HR
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1359607 1370995
TreeView+ depends on / blocked
 
Reported: 2016-06-14 06:12 UTC by Aravinda VK
Modified: 2017-03-08 09:30 UTC (History)
2 users (show)

Fixed In Version: v3.10.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1359607 1370995 (view as bug list)
Environment:
Last Closed: 2017-03-08 09:30:05 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Aravinda VK 2016-06-14 06:12:31 UTC
Description of problem:
During Non-root Geo-replication setup, if Mountbroker mount fails Gluster just shows Permission denied or Operation not Permitted errors. 

Log/stderr need to be enhanced to show exact reason for Mount failures. (User dir permissions, Arguments mismatch, Invalid Log file path etc)

Comment 1 Worker Ant 2016-08-25 16:54:08 UTC
REVIEW: http://review.gluster.org/15319 (glusterd: Improve mountbroker logs) posted (#1) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 2 Worker Ant 2016-08-25 16:55:49 UTC
REVIEW: http://review.gluster.org/15319 (glusterd: Improve mountbroker logs) posted (#2) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 3 Worker Ant 2016-08-26 04:21:54 UTC
COMMIT: http://review.gluster.org/15319 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 0343da57b51c8b83ae59743740632ec058a0d333
Author: Kotresh HR <khiremat@redhat.com>
Date:   Thu Aug 25 22:20:30 2016 +0530

    glusterd: Improve mountbroker logs
    
    When Mountbroker mount fails, it was just returning
    EPERM or EACCESS without logging exact failure.
    This patch improves the logging by logging exact
    failure.
    
    Change-Id: I3cd905f95865153f70dfcc3bf1fa4dd19af16455
    BUG: 1346138
    Signed-off-by: Kotresh HR <khiremat@redhat.com>
    Reviewed-on: http://review.gluster.org/15319
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 4 Worker Ant 2016-08-29 07:12:58 UTC
REVIEW: http://review.gluster.org/15333 (glusterd: Fix msgid in mountbroker logs) posted (#1) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 5 Worker Ant 2016-08-29 13:01:26 UTC
COMMIT: http://review.gluster.org/15333 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 58997a904f2a106d6f2d7629e01f8f69e9918ba7
Author: Kotresh HR <khiremat@redhat.com>
Date:   Mon Aug 29 12:40:48 2016 +0530

    glusterd: Fix msgid in mountbroker logs
    
    Fix declared but not used msgid in mountbroker
    logs.
    
    Change-Id: I68d331f2741726624f647a8bc437e1ebcddd038f
    Signed-off-by: Kotresh HR <khiremat@redhat.com>
    BUG: 1346138
    Reviewed-on: http://review.gluster.org/15333
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>


Note You need to log in before you can comment on or make changes to this bug.